package com.ai.android.BDayWidget;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.View;

//filename: OpenGLTestHarnessActivity.java
public class MultiViewTestHarnessActivity extends Activity {
   private View mCurrentView;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        
        Intent intent = getIntent();
        //test
        int mid = intent.getIntExtra("com.ai.menuid", R.id.MenuId_OpenGL15_Current);
        if (mid == R.id.MenuId_OpenGL15_Current)
        {
            setContentView(R.layout.layout_multi_view_test_view);
            return;
        }
        
        if (mid == R.id.mid_shape1)
        {
            setContentView(R.layout.layout_multi_view_test_view);
            View rootLayoutView = this.getLayoutView();
            Log.d("mvt:", "setting the layout background shape1");
            rootLayoutView.setBackgroundResource(R.drawable.shape1);
            return;
        }
        
        if (mid == R.id.mid_shape2)
        {
            setContentView(R.layout.layout_multi_view_test_view);
            View rootLayoutView = this.getLayoutView();
            Log.d("mvt:", "setting the layout background shape 2");
            rootLayoutView.setBackgroundResource(R.drawable.shape_2);
            return;
        }

        if (mid == R.id.mid_shape3)
        {
            setContentView(R.layout.layout_multi_view_test_view);
            View rootLayoutView = this.getLayoutView();
            Log.d("mvt:", "setting the layout background shape 3");
            rootLayoutView.setBackgroundResource(R.drawable.shape_3);
            return;
        }
        
        if (mid == R.id.mid_shape4)
        {
            setContentView(R.layout.layout_multi_view_test_view);
            View rootLayoutView = this.getLayoutView();
            Log.d("mvt:", "setting the layout background shape 4");
            rootLayoutView.setBackgroundResource(R.drawable.shape_4);
            return;
        }
        
        if (mid == R.id.mid_shape5)
        {
            setContentView(R.layout.layout_multi_view_test_view);
            View rootLayoutView = this.getLayoutView();
            Log.d("mvt:", "setting the layout background shape 5");
            rootLayoutView.setBackgroundResource(R.drawable.shape_5);
            return;
        }
        //otherwise do this
        setContentView(R.layout.layout_multi_view_test_view);
        return;
    }
    private View getLayoutView()
    {
        return (View)this.findViewById(R.id.root_layout_id);
    }
}
